# Gosod ar wefan

- Ewch i’r [Ganolfan APIs](https://api.techiaith.org) i gofrestu a chreu allwedd API.
- Rhowch y cod yma o fewn `<head>` eich tudalennau gwe, gan nodi eich allwedd API yn lle `XXX`.

```html
<script defer src="https://api.techiaith.org/vocab/v2/vocab.js" data-api-key="XXX"></script>
```

*[angen cadarnhau’r URL]*

Gallwch ychwanegu opsiynau i’r tag `<script>` gyda gwerthoedd data fel `data-lang="cy"`. Gweler isod am restr lawn.

# Gosod copi lleol ar wefan

- Rhowch gynnwys y ffolder `dist` mewn lleoliad cyhoeddus ar eich gweinydd eich hun.

```html
<script defer src="/dist/vocab.js" data-api-key="XXX"></script>
```

# Llwytho mewn dull rhaglennol

Edrychwch ar `src/vocab.js` am enghraifft o sut i lwytho Vocab trwy god. Bydd hyn yn rhoi rheolaeth lawn i chi o ymddangosiad y botymau cychwynnol.

```javascript
const options = {
	apiKey: "XXX",
	lang: "cy",
	start: "#main",
}
import('./dist/main.js').then(vocab => {
	vocab.init(options);
	vocab.turnOn();
});
```

# Defnyddio‘r cod o fewn prosiect arall

Gallwch gyfeirio at y cod craidd o `src` yn eich prosiect. Bydd angen defnyddio pecynnwr fel **Webpack** er mwyn creu ffeiliau addas i’w defnyddio mewn porwyr.

```javascript
import * as vocab from './src/main.js';
vocab.init({
	apiKey: "XXX"
});
vocab.turnOn();
```

# Opsiynau dewisol

Gallwch ychwanegu’r rhain i’r tag `<script>` ar ffurf priodoleddau fel `data-option-name="value"`, neu i’r gwrthrych opsiynau sy’n cael ei basio i’r ffwythiant `init`.

Mae’r priodoleddau data ar ffurf llythrennau-bach-gyda-dash (ee. `data-api-key="XXX"`) ond mae’r allweddau gwrthrych ar ffurf llythrennauCamel (ee. `apiKey: "XXX")`).

Mae’r engreifftiau isod yn dangos y gwerthoedd diofyn.

```javascript
{
	position: "bottom left", //
	lang: "cy", // nodi iaith y dudalen
	start: "body", // dewisydd CSS i gyfyngu termau Vocab i ardal benodol o’r dudalen (ee. `body` / `#content` / `.article`).
	ignore: ".vocabIgnore", // dewisydd CSS i nodi llefydd i beidio dangos Vocab, am resymau preifatrwydd er enghraifft.
	delay: 100, // meicroeiliadau i aros cyn dangos y diffiniad
	speaker: "gwryw-gogledd-pro", // llais testun i leferydd – gadewch yn wag i analluogi testun i leferydd
	audio: false, // chwarae sain gyda’r diffiniadau
	player: new Audio(), // os am gychwyn gyda audio=true, bydd angen creu’r gwerth hwn o fewn digwyddiad defnyddiwr, fel clic neu gyffyrddiad
}
```

# Gosod ar gyfer datblygu

    yarn install

# Creu fersiwn i’w dosbarthu

    yarn run build

# Ffeiliau profi

dev.html - yn defnyddio’r cod amrwd

dist.html – yn defnyddio’r pecyn wedi adeiladu

# Gwefan brawf

Mae branch CYHOEDDUS* yn cael eu osod ar

    https://api.techiaith.org/porthtermau/vocab-js/demo/
    e9e9d73c5b92c23f09db1315ec3a3ba2fd146634
