import { options, isTouch } from './main.js';

export function getTextNodesIn(el, includeWhitespaceNodes) {
	const results = [];
	getTextNodes(el, includeWhitespaceNodes, results);
	return results;
}

function getTextNodes(el, includeWhitespaceNodes, results) {

	if (el.nodeType === 1) {

		if (['IFRAME', 'SCRIPT', 'NOSCRIPT', 'STYLE', 'OBJECT', 'INPUT', 'TEXTAREA', 'META', 'MARK'].includes(el.tagName)) {
			return;
		}

		if (isTouch && el.tagName === 'A') {
			return;
		}

		if (options.ignore && el.matches(options.ignore)) {
			return;
		}

	}
	else if (el.nodeType === 3) {

		if (includeWhitespaceNodes || /\S/.test(el.textContent)) {
			results.push(el);
		}
		return;

	}
	else {

		return;

	}

	for (const child of el.childNodes) {
		getTextNodes(child, includeWhitespaceNodes, results);
    }

}